*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
 
}


/* Loader overlay */
#loader {
  position: fixed;
  inset: 0;
  background: #0B0F14;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
  transition: opacity 0.6s ease, visibility 0.6s ease;
}

#loader.hide {
  opacity: 0;
  visibility: hidden;
}



.loader-title {
  font-size: clamp(20px, 4vw, 28px);
  font-weight: 600;
  margin-bottom: 12px;
  opacity: 0;
  transform: translateY(10px);
  animation: titleReveal 1.2s ease forwards;
  animation-delay: 0.3s;
}

@keyframes titleReveal {
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
/* Loader wrapper */
.loader-wrapper {
   display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  font-family: Arial, Helvetica, sans-serif;
  color: #E5E7EB ;
}

/* Chart */
.chart {
  width: 300px;
  height: 100px;
  margin-bottom: 16px;
}

/* Line animation */
.chart-line {
  fill: none;
  stroke: #E5E7EB ;
  stroke-width: 2;
  stroke-dasharray: 600;
  stroke-dashoffset: 600;
  animation: drawLine 3s ease forwards;
}

/* Pulsing dots */
.chart-dot {
  fill: cyan;
  opacity: 0;
  animation: showDot 0.3s ease forwards;
}

.chart-dot:nth-child(2) { animation-delay: 0.5s; }
.chart-dot:nth-child(3) { animation-delay: 0.8s; }
.chart-dot:nth-child(4) { animation-delay: 1.1s; }
.chart-dot:nth-child(5) { animation-delay: 1.4s; }
.chart-dot:nth-child(6) { animation-delay: 1.7s; }

/* Text */
.loading-text {
  font-size: 14px;
  letter-spacing: 1px;
  opacity: 0.6;
  animation: pulseText 1.5s infinite;
}

/* Animations */
@keyframes drawLine {
  to {
    stroke-dashoffset: 0;
  }
}

@keyframes showDot {
  to {
    opacity: 1;
  }
}

@keyframes pulseText {
  0%, 100% {
    opacity: 0.4;
  }
  50% {
    opacity: 1;
  }
}

/* Site content */
#site {
  opacity: 0;
  transition: opacity 0.6s ease;
  padding: 80px;
}

#site.show {
  opacity: 1;
}

html{
  scroll-behavior: smooth;
}
body{
  background: #0B0F14;
  min-height: 100vh;
   overflow-x: hidden;
   color: #E5E7EB ;

  
}
/* HEADER */
.nav-bar{
  margin-top: 20px;
  margin: 30px auto;
    display: flex;
    justify-content:center;
    align-items: center;
   gap: 80px;
 border: 1.5px solid cyan;
  box-shadow:
    0 0 10px rgba(78, 207, 208, 0.35),
    0 0 25px rgba(78, 207, 208, 0.25),
    0 0 50px rgba(78, 207, 208, 0.15);

    width: 90%;        
    padding: 15px 0px;
   background-color: #1A1F26;
   border-radius: 30px;
   cursor: pointer;
   color: #E5E7EB;
}
.show{
  display: none;
}
.sidebar{
  position: fixed;
  top: 0;
  right: 0;
  height: 100vh;
  width: 280px;
  z-index: 1000;
  padding: 25px 15px;
  background: rgba(11, 15, 20, 0.65);
  backdrop-filter: blur(18px);
  -webkit-backdrop-filter: blur(18px);

  border-left: 1px solid rgba(0,255,255,0.15);

  box-shadow:
    -10px 0 40px rgba(0,0,0,0.6),
    inset 0 0 30px rgba(0,255,255,0.05);
  display: flex;
  gap: 25px;
  flex-direction:column ;
  align-items: flex-start;
  justify-content: flex-start;
   transform: translateX(100%);
  transition: transform 0.4s ease;
  will-change: transform; /* Helps browser GPU optimize */
   overflow-y: auto; 
   overflow-x: hidden;
  -webkit-overflow-scrolling: touch; 
}


.sidebar.active{
  transform: translateX(0);
}







.sidebar::-webkit-scrollbar {
  width: 6px;
}

.sidebar::-webkit-scrollbar-thumb {
  background-color: rgba(106, 112, 112, 0.6);
  border-radius: 3px;
}

.sidebar li a {
  display: block;          
  padding: 14px 18px;      
  color: #E5E7EB;
  text-decoration: none;
  font-size: 18px;
  font-weight: 500;     
  transition: all 0.35s ease;
   background: rgba(255,255,255,0.02);
  border: 1px solid transparent;
}

.sidebar li a:hover{
  background: rgba(0,255,255,0.08);
  border: 1px solid rgba(0,255,255,0.25);

  box-shadow:
    0 0 12px rgba(0,255,255,0.15),
    inset 0 0 10px rgba(0,255,255,0.08);

  transform: translateX(6px);
  color: cyan;
}


.sidebar li{
  width: 100%;
  
  list-style: none;
  margin-left:10px ;
}
.sidebar a{
  width: 100%;
  text-decoration: none;
  color:black ;
  font-size: 20px;
}







.menu{
   width: 25px;
  height: 25px;
   
}

.cancel{
  margin-top: 20px;
  margin-left: 10px;
  width: 25px;
  height: 25px;
}
.logo{
  font-size: 27px;
   font-family: "Space Grotesk", sans-serif;
  font-optical-sizing: auto;
  font-weight:800;
  font-style: normal;
  letter-spacing: -0.5px;
  line-height: 1.1;
}
.listing{
  display: flex;
  list-style: none;
  gap: 40px;
  

}

.listing a{
  position: relative;
  text-decoration: none;
  display: flex;           
    align-items: center;
    font-size: 20px;
  font-weight: 500;
  letter-spacing: 0.5px;
  line-height: 1.2;
    color: #E5E7EB;
    transition:color 0.3s ease;
    
}
.listing a::after{
content: '';
position: absolute;
height: 4px;
 left: 0;
  bottom: -8px;
  width: 0%;
background-color: cyan;
transition: width 0.3s ease;
}
.listing a:hover::after {
  width: 100%;
}
.listing a:focus{
  color: cyan;
}
.material-symbols-outlined {
   line-height: 1;
}
/* HERO SECTION*/
.hero-section{
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  
}
.hero-text{
display: flex;
flex-direction: column;
   width: 600px;
  height: 250px;
  gap: 10px;
  
}
.hero-text h1{
  font-size: 50px;
  font-weight: bolder;
  letter-spacing: -1px;
  line-height: 1.2;
  
}
.hero-text h3{
  font-size: 24px;
  line-height: 1.5;
letter-spacing: normal;
font-weight: 700;
}
.hero-text p{
  font-size: 20px;
  font-weight: 400;
  margin-top: 20px;
  margin-bottom: 20px;
  font-weight: normal;
  letter-spacing:0px ;
  line-height:27px ;
}
.typing {
    display: inline-block;  
    min-height: 1em;      
    font-weight: 700;
    font-size: 1.2rem;
    color:cyan;
}
.download-btn{
  margin-top: 30px;
 display: flex;
 align-items: center;
 text-decoration: none;
 padding:10px ;
border: solid 2px cyan;
 box-shadow:
    0 0 10px rgba(78, 207, 208, 0.35),
    0 0 25px rgba(78, 207, 208, 0.25),
    0 0 50px rgba(78, 207, 208, 0.15);
 width: fit-content;
 font-weight: 400;
 color: cyan;
 border-radius: 20px;
 transition: 
   background-color 0.35s ease,
    color 0.35s ease,
    transform 0.25s ease;
 font-weight: bold;
}
.download-btn:hover{
background-color: cyan;
  color: #000;
  transform: translateY(-2px);
}
.hero-image img {
  width: 300px;
  height: 300px;
  border-radius: 50%;
  object-fit: cover;
  object-position: center;
  z-index: 2;
  border: solid 3px  cyan;
   box-shadow: 
    0 4px 15px rgba(0, 0, 0, 0.2),   /* subtle depth */
    0 0 20px rgba(100, 217, 217, 0.6);
}
.social-links{
  display: flex;
  flex-direction: row;
  gap: 10px;
}
.social-links img{
width:30px ;
height:30px ;
transition: 0.4s ease;

}
.linked{
  width: 37px;
  
}

.social-links img:hover{
  transform: scale(1.08);
}



/* ABOUT */
.about-container{
  display: flex;
  justify-content: center;
  width: 100%;
  margin-top: 0px;
font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
}
.about-text{
  width: 500px;
  margin-top: 140px;
}
.about-text h2{
margin-bottom: 20px;
font-size: 32px;
line-height: 1.4;
letter-spacing: normal;
}
.about-text p{
  font-weight: 400;
  font-size: 20px;
  font-weight: normal;
  letter-spacing:0px ;
  line-height:27px ;
}

.abt-img{
   width: 250px;
  height: 250px;
  object-fit: cover;
  object-position: center;
  border-radius: 50%;
  border: 3px solid  #64d9d9;
border-radius: 50%;
margin-top: 160px;
 box-shadow: 
    0 4px 15px rgba(0, 0, 0, 0.2),   /* subtle depth */
    0 0 20px rgba(100, 217, 217, 0.6);
}
.abt-text-img{
  width: 50px;
  height: 50px;
}
.about-image{}

/* services */

.Services-container{
  margin-top: 50px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
 width: 100%;
 font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
}
.services-text{
  font-size: 24px;
  margin-bottom: 20px;
  line-height: 1.4;
letter-spacing: normal;
}
.services-box{
  margin-top: 30px;
  display: flex;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: stretch;
  gap: 20px;
 
}
.services{
  padding: 20px;
  width: 250px;
  height: 330px;
  border: 3px solid #4ECFD0;
   box-shadow: 
    0 4px 15px rgba(0, 0, 0, 0.2),   
    0 0 20px rgba(100, 217, 217, 0.6);
  border-radius: 15px;
  transition: 0.4s ease;
  background: #1A1F26;

}
.services:hover{
   transform: scale(1.08);
}
.services img{
  width: 100px;
  margin-bottom: 20px;
}
.Power-bi img{
width: 120px;
text-align: left;
}
.services h3{
  font-size: 30px;
  margin-bottom: 10px;
  line-height: 1.5;
letter-spacing: normal;
}
.services p{
   font-weight: 400;
  font-size: 20px;
  font-weight: normal;
  letter-spacing:0px ;
  line-height:27px ;
  width: 200px;
}
.bxr , .bx{
  margin-bottom: 30px;
}

/* Projects */

.projects-container{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-top: 50px;
  width: 100%;
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
}
.project-text{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-bottom: 30px;
}
.project-text p{
  width: 960px;
  text-align: center;
   font-weight: 400;
  font-size: 20px;
  font-weight: normal;
  letter-spacing:0px ;
  line-height:27px ;
}
.projects-columns{
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 100%;
  gap: 20px;
 
}
.project-card{
   display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  width: 300px;
  height: 530px;
  border: solid 3px #4ECFD0;
  padding:0;
  border-radius: 20px;
   box-shadow: 
    0 4px 15px rgba(0, 0, 0, 0.2),   /* subtle depth */
    0 0 20px rgba(100, 217, 217, 0.6);
transition: 0.4s ease;
background: #1A1F26;

}
.project-card:hover{
  transform:scale(1.05)
}
.head-text{
  font-size: 34px;
  margin: 20px;
  line-height: 1.4;
letter-spacing: normal;
}
.project-card a{
  display: block;
  text-decoration: none;
  margin-top: 20px;
  padding: 15px;
  background-color: #4ECFD0;
  width: fit-content;
  border-radius: 20px;
  color: white;
  justify-content: flex-start;
  transition: 0.4s ease
}
.project-card a:hover{
  transform:scale(1.08)
}
.img-cont{
  width: 100%;
}
.text-cont{
  padding: 8px;
}
.project-card img{
  width: 100%;
  height: 200px;
  margin-bottom: px;
  border-top-left-radius: 17px; 
  border-top-right-radius: 17px;
}
.project-card h3{
   font-size: 20px;
line-height: 1.5;
letter-spacing: normal;
margin-bottom: 20px;
align-self: flex-start;
}
.project-card p{
   font-weight: 400;
  font-size: 20px;
  font-weight: normal;
  letter-spacing:0px ;
  line-height:27px ;
}

.project-card h4 ,.project-card p ,.project-card a{
  align-self: flex-start;
}
/* Contact */


.contact-container{
display: flex;
flex-direction: column;
align-items: center;
justify-content: center;
margin-top: 50px;
width: 100%;
font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  
}
.contact-box{
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  width: 100%;
  margin-top: 30px;
  gap: 15px;
}
.contact-text h2{
  font-size: 32px;
  line-height: 1.4;
letter-spacing: normal;
margin-bottom: 10px;

}
.c-text{
  width: 480px;
  height: 300px;
  margin-bottom: 220px;
  padding: 20px;
  border-radius: 30px;
  display: flex;
  flex-direction: column;
  background-color: cyan;
  color: #0B0F14;
}
.c-text p{
   font-weight: 400;
  font-size: 20px;
  font-weight: normal;
  letter-spacing:0px ;
  line-height:27px ;
}
.item-box{
  margin-top: 20px;

}
.item1{
  display: flex;
  height: 40px;
}
.item1 i{
margin-top: px;
font-size: 30px;
}
.item1 p{
 padding: 5px;
}
.item2{
  display: flex;
  height: 40px;
}
.item2 i{
margin-top: 2.5px;
font-size: 30px;
}
.item2 p{
 padding: 5px;
}
.item3{
  display: flex;
  height: 30px;
}
.item3 i{
margin-top: 2.5px;
font-size: 30px;
}
.item3 p{
  padding: 5px;
}
.item-box{
  margin-top: 10px;
}

.c-form{
  display: grid;
  grid-template-rows: 30px 30px 30px 110px 40px;
  width: 550px;
  height: 500px;
  row-gap: 10px;

}
.c-form input,.c-form textarea{
  padding: 10px;
  border-radius: 10px;
  border: none;
}
.form-icon{
  display: flex;
  gap: 10px;
  margin-top: 10px;
 transition: 0.4s ease;
}
.form-icon img:hover{
  transform: scale(1.08);
}
.c-form textarea{
  resize: none;
}
.c-text img{
  width: 40px;
  height: 40px;
}
.c-form button{
  width: 120px;
  height: 50px;
  justify-self: flex-start;
  border-radius: 20px;
  border: none;
  color: #0B0F14;
  background: cyan;
  transition: 
    transform 0.25s ease;
 font-weight: bold;
}
.c-form button:hover{
   transform: scale(1.08);
}
footer{
  width: 100%;
  height: 100px;
  font-family: "Poppins", sans-serif;
  font-style: normal;
  background: linear-gradient(
    180deg,
    #0B0F14 0%,
    #070A0D 60%,
    #050709 100%
  );
}

.footer-hr{
  width: 100%;
  height: 3px;
  border: none;
  background: linear-gradient(
    90deg,
    transparent,
    rgba(0, 255, 255, 0.45),
    rgba(255, 255, 255, 0.25),
    rgba(0, 255, 255, 0.45),
    transparent
  );
}

.footer-bottom{
 display: flex;
 align-items: center;
 justify-content: center;
}
.footer-bottom p{
  margin-top: 45px;
   font-weight: 400;
  font-size: 20px;
  font-weight: normal;
  letter-spacing:0px ;
  line-height:27px ;
}



@media (min-width: 881px){
  .sidebar{
    transform: translateX(100%) !important;
  }
}
@media screen and (min-width:875px) and (max-width:1019px){
  .show{
    display: contents;
  }
 .hidemobile{
  display: none;
 }
 #menu {
    width: 22px;
    height: 22px;
  }
  .nav-bar{
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  
}
.hero-section{
  display: flex;
  flex-direction: column-reverse;
  margin-bottom: 40px;
}
.hero-text{
  width: 400px;
  text-align: center;
}
.social-links{
  display: flex;
  flex-direction: row;
  justify-content: center;

}
.download-btn{
  margin-left: 120px;
  
}
.about-container{

display: flex;
flex-direction: column;
  
}
.about-image{
 margin: 0 auto;
}

.about-text{
  display: flex;
  text-align: center;
  flex-direction: column;
  margin: 0 auto;
}
.services-box {
    display: grid;
    grid-template-columns: repeat(2, 300px);
    gap: 20px;
    column-gap:0px; 
    row-gap: 18px; 
    
  }
  .services {
   min-height: 320px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
  }
  .services:hover {
    transform: none;
  }
.projects-container{
  display: flex;
  flex-direction: column;
  width: 100%;
  margin: 0 auto;
}
  .projects-columns{
    display: flex;
    flex-direction: column;
  }
  .project-card {
    width:550px ;
    height:500px ;
  }
  .project-card {
    display: flex;
    flex-direction: column;
    gap: 20px;
   
  }

  .project-text p{
width: 620px;
  }

 
  .contact-box{
    display: flex;
    width: 100%;
      flex-direction: column;
      justify-content: center;
      margin: 0;
  }

  .c-text{
    width:600px ;
  }
  .c-form{
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    gap: 15px;  
  width: 100%;
  max-width: 600px;
   
  }
  .c-text {
  width: 100%;      
  max-width: 600px;  
  margin: 0;        
}
.c-form{
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    gap: 15px;  
  width: 100%;
  max-width: 600px;
   
  }
  .c-text {
  width: 100%;      
  max-width: 600px;  
  margin: 0;        
}

.c-text p {
  margin: 0;         

.item-box,
.form-icon {
  margin: 0;      
  padding: 0;
}
}
}

@media screen and (max-width:874px){
  
  .show{
    display: contents;
  }
 .hidemobile{
  display: none;
 }
 #menu {
    width: 22px;
    height: 22px;
  }

.nav-bar{
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  
}
.hero-section{
  display: flex;
  flex-direction: column-reverse;
  margin-bottom: 70px;
}
.hero-text{
  width: 400px;
  text-align: center;
}
.social-links{
  display: flex;
  flex-direction: row;
  justify-content: center;

}
.download-btn{
  margin-left: 120px;
  
}
.about-container{

display: flex;
flex-direction: column;
  
}
.about-text{
  display: flex;
  flex-direction: column;
  margin-left: 118px;
}

.services-box {
    display: grid;
    grid-template-columns: repeat(2, 300px);
    gap: 20px;
    column-gap:0px; 
    row-gap: 18px; 
    
  }

  .services {
   min-height: 320px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    padding: 40px 10px;
  }
  
  .services:hover {
    transform: none;
  }
.projects-container{
  display: flex;
  flex-direction: column;
  width: 100%;
  margin: 0 auto;
}
  .projects-columns{
    display: flex;
    flex-direction: column;
  }
  .project-card {
    width:550px ;
    height:500px ;
  }
 
  .project-card {
    display: flex;
    flex-direction: column;
    gap: 20px;
   
  }

  .project-text p{
width: 620px;
  }

 
  .contact-box{
    display: flex;
    width: 100%;
      flex-direction: column;
      justify-content: center;
      margin: 0;
  }

  .c-text{
    width:600px ;
  }
  .c-form{
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    gap: 15px;  
  width: 100%;
  max-width: 600px;
   
  }
  .c-text {
  width: 100%;      
  max-width: 600px;  
  margin: 0;        
}

.c-text p {
  margin: 0;         

.item-box,
.form-icon {
  margin: 0;      
  padding: 0;
}
}
}
@media screen and (min-width:460px) and (max-width: 874px) {
  .nav-bar {
    width: 95%;          
    padding: 10px 20px;  
    gap: 20px;          
  }
   .listing a {
    font-size: 16px;
  }
  #menu {
    width: 22px;
    height: 22px;
  }
  .about-container{
    display: flex;
    flex-direction:column ;
    
    width: 100%;
  
  }
  .about-image{
    margin: 0 auto;
  }
  .about-text{
    margin: 0 auto;
    text-align: center;
    width: 320px;
  }
  .services-box{
    display: flex;
    flex-direction: column;
 
    width: 250px;
  }
  .project-card{
    width: 350px;
    height: 550px;
  }
  .project-text p{
    width: 300px;
    
  }
  .contact-box{
    width: 350px;
  }

}

@media screen and (min-width:1024px) and (max-width:28160px){
  .nav-bar{
   width: 900px;
   margin-bottom: 20px;
  }
   #menu {
    width: 22px;
    height: 22px;
  }
  .logo
  {
    font-size: 16px;
  }
  .hero-section{
    margin-bottom: 70px;
  }
   .about-container {
    max-width: 1200px;  
    margin: 0 auto;
    gap: 40px;           
  }
  .services{
    width:220px ;
  }

  .about-image {
    width: 350px;
  height: 350px; 
    
  }

  .about-text {
   max-width: 600px;        
  }

}

@media screen and (max-width:320px){
  .nav-bar{
    padding: 10px;
  }
}
@media screen and (min-width:300px) and (max-width:450px){
 .nav-bar {
    
font-size: 20px;
display: flex;
flex-direction: row;
justify-content: space-around;
 
  }
  .social-links{
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin: 0 auto;
  }
  .logo {
    font-size: 18px;
    margin: 0;
    white-space: nowrap;
    line-height: 1.4;
  }
  .download-btn{
     margin: 0 auto;
  }
  .hidemobile {
    display: none;
  }
 

  /* MENU ICON */
  .show {
    display: block;
    cursor: pointer;
  }

  #menu {
    width: 26px;
    height: 26px;
  }

  /* REMOVE BAD FLEX EFFECT */
  .listing {
    display: flex;
    align-items: center;
    gap: 0;
  }
  .hero-section{
display: flex;
flex-direction: column-reverse;
justify-content: center;
align-items: center;

  }
  .hero-image img{
   margin: 0 auto;
    width: 250px;
    height: 250px;
  }
  .hero-section h3{
    font-size: 22px;
    line-height: 1.2;
  }
  .hero-section p{
    font-size: 16px;
    line-height: 1.5;
  }
  .hero-text{
     
    margin-top: 60px;
    width: 250px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
  }
  .hero-text h1{
    font-size:29px ;
    letter-spacing: -0.32px;
  }
  .hero-text p{
    font-size: 16px;
       letter-spacing: 0.16px;
  }
  .hero-text h3{
    font-size: 18px;
       letter-spacing: 0px;
  }
  .about-image {
    width: auto;
    display: flex;
    justify-content: center;
  }
 
  .about-image img{
    width: 200px;
    height: 200px;
    margin: 0 auto;
  }
  
  .about-text{
     margin: 0 auto;
    width: 250px;
    
  }
  .about-text h2{
    font-size: 22px;
 text-align: center;
 line-height: 1.3;
  }
  .about-text p{
    font-size: 16px;
    text-align: center;

  }
   .about-container {
    flex-direction: column;
    align-items: center; 
    text-align: center;
    gap: 30px;
  }
  .Services-container{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    
  }
  .services-box{
    display: flex;
    flex-direction: column;
  }
  .services{
    width: 300px;
  }
  .services p{
    font-size: 16px;
  }
  .services h3{
    font-size: 28px;
  }
  .projects-container{
    display: flex;
    flex-direction: column;
    width: 100%;
    margin: 0 auto;
    
  }
  .projects-container p{
    font-size: 16px;

  }
  
  .projects-container h3{
    font-size:20px ;
  }
  
  .project-text{
    margin-top: 30px;
  }
  .project-text h2{
    margin-bottom: 10px;
  }
  .project-text p{
    width: 220px;
    text-align: center;
  margin: 0 auto;
  }
  .head-text{
    margin: 0 auto;
  }
  .project-card{
    width: 300px;
    height:580px;
    display: flex;
    
    flex-direction: column;
    gap: 15px;
     margin: 0 auto;
     
    
  }
  .img-cont{
    width: 100%;
    object-fit: cover;
  }
  .text-cont h3{
    width: 230px;
  }
  .text-cont{
    height: 300px;
    width: 250px;
    text-align: left;
  }
  .contact-box{
   margin: 0 auto; 
   

  }
.contact-box p{
  font-size: 16px;
  

}
.c-form , .c-text{
  width:300px;
  height: 300px;
  
}  
footer {
  width: 100%;
  font-size: 16px;
     background: linear-gradient(
    180deg,
    #0B0F14 0%,
    #070A0D 60%,
    #050709 100%
  );

  }


.c-text{
  padding:20px;
}
.contact-box{
  margin-top: 30px;
}
.footer-bottom p{
  font-size: 14px;   
  line-height: 1.4;
  margin-top: 20px;
  text-align: center;
  padding: 0 10px;
}
}


/* Back to Top Button */
#backToTop {
  position: fixed;
  bottom: 120px;  
  right: 70px;   
  z-index: 1000;
  background-color: cyan;
  color:black;
  border: none;
  padding: 12px;
  border-radius: 50%;
  cursor: pointer;
  display: none; /* hidden by default */
  box-shadow: 0 4px 12px rgba(0,0,0,0.3);
  transition: transform 0.3s ease, background-color 0.3s ease;
}

#backToTop:hover {
  transform: scale(1.1);
  background-color: #36b5b5;
}

#backToTop span {
  font-size: 24px;
}

